Actions / Posts
Manage posts
Full accessmanage_posts
Changes existing posts: reschedule, edit, unschedule, move to drafts, delete, publish now, retry or duplicate.
Needs the publish scope. Acts on live social accounts or cannot be undone.
Inputs
| Input | Type | Required | Description |
|---|---|---|---|
items | object[] | Yes | Each item: postId (required), action (required), scheduledFor, content, mediaUrls, socialAccountIds, platformTargets, postType, linkUrl, pinterestTitle, tikTokSettings. Up to 30. |
REST
curl https://chirpy.me/api/v1/manage_posts \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{"items":[{"postId":123,"action":"reschedule"}]}'MCP
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "manage_posts",
"arguments": {
"items": [
{
"postId": 123,
"action": "reschedule"
}
]
}
}
}MCP hints: readOnlyHint: false, destructiveHint: true, idempotentHint: false, openWorldHint: true.
